#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <error.h>
#include <errno.h>

char *prog;

int
main(int argc, char *argv[])
{
	pid_t pid;
	char **args;
	int i = 1, status = 0;

	if ((prog = getenv("MOZ_XULRUNNER")) == NULL)
		prog = "/usr/bin/xulrunner";

	pid = fork();
	if (pid == 0) {
		args = calloc(argc+1, sizeof(char *));
		args[0] = prog;
		while (i <= argc) {
			args[i] = argv[i];
			i++;
		}

		setenv("NSS_SSL_ENABLE_RENEGOTIATION", "1", 0);
		setenv("MOZ_GLX_IGNORE_BLACKLIST",     "1", 0);
		setenv("MOZ_PLUGIN_PATH",  MOZ_PLUGIN_PATH, 0);
		setenv("MOZ_APP_LAUNCHER", argv[0],         0);
		setenv("XUL_APP_FILE",     XUL_APP_FILE,    1);

		execv(prog, args);
		error(EXIT_FAILURE, errno, "execv");
	}
	else if (pid > 0) {
		waitpid(pid, &status, 0);
		return WEXITSTATUS(status);
	}
	else
		error(EXIT_FAILURE, errno, "fork");

	return EXIT_SUCCESS;
}
